<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="STEP" id="0">
  <actions>
    <action id="604" library="1">
      <!--action name: Inherited-->
      <kind>NORMAL</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>false</canApplyTo>
      <actionType>FUNCTION</actionType>
      <functionName>action_inherited</functionName>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments/>
    </action>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">if (isNotFrozen())
{
moveTo(xVel,yVel);

yVel += myGrav;
if (yVel &gt; yVelLimit) yVel = yVelLimit;

if (collision_point(x+8, y+8, oSolid, 0, 0))
{
    hp = 0;
}

if (hp &lt; 1)
{
    scrCreateBlood(x+8, y+8, 3);
    if (countsAsKill)
    {
        if (isRealLevel()) global.enemyKills[22] += 1;
        //global.greenspiders += 1;
        global.kills += 1;
        //XP Collect
        /*
        global.xpcollect += global.XPGreenSpider;
        global.xpcollectCounter += 20;
        if (global.xpcollectCounter &gt; 100) global.xpcollectCounter = 100;
        */
    }
    instance_destroy();
}

if (isCollisionRight(1))
{
    //xVel = 1;
    if (xVel &gt; 0.2) xVel -= 0.2;
}

if (isCollisionLeft(1))
{
    //xVel = -1;
    if (xVel &lt; -0.2) xVel += 0.2;
}

dist = distance_to_object(oCharacter);

if (status == IDLE)
{
    alarm[0] = rand(10,30); //5,20
    status = RECOVER;
}
else if (status == RECOVER)
{
    if (isCollisionBottom(1)) xVel = 0;
}
else if (status == BOUNCE and dist &lt; 90)
{
    if (isCollisionBottom(1))
    {
        yVel = -1 * rand(3,5); //1,3
        if (oCharacter.x &lt; x+8)
        {
            if (rand(1,4) == 1) xVel = 3;
            else xVel = -4;
        }
        else
        {
            if (rand(1,4) == 1) xVel = -3;
            else xVel = 4;
        }

        if (rand(1,2) == 1) { status = IDLE; xVel = 0; yVel = 0; }
    }
}
else if (status != DROWNED)
{
    status = IDLE;
    //xVel = 0;
}

if (isCollisionTop(1))
    yVel = 2;
/*
if (isCollisionLeft(1) or isCollisionRight(1))
{
    xVel = -xVel;
}
*/

//if (isCollisionSolid())
//  y -= 2;
    if (sprite_index == sGreenSpider and yVel &lt; 0)
    {
        image_index = 2;
        image_speed = 0;
    }
    else image_speed = 0.4;

}

if (collision_point(x+8, y+8, oWater, 0, 0) and status != DROWNED)
{
    status = DROWNED;
    sprite_index = sGreenSpiderDrowning;
    alarm[1] = 30;
    xVel = 0;
    yVel = 0.2;
    instance_create(x+8, y, oSplash);
    playSound(global.sndSplash);
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
